Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class RequestServerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.marklogic.xcc.exceptions.XccException
                  com.marklogic.xcc.exceptions.RequestException
                      com.marklogic.xcc.exceptions.RequestServerException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContentInsertException, XQueryException

    public class RequestServerException

extends RequestException

This is the base class for for exceptions originating in the server (XQuery syntax errors, etc) as opposed exceptions related to communicating with the server.

See Also:
  Serialized Form

Constructor Summary
`RequestServerException(String message, Request request)`
`RequestServerException(String message, Request request, Throwable cause)`

Method Summary

Methods inherited from class com.marklogic.xcc.exceptions.RequestException
`appendRequestInfo, getRequest, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestServerException

    public RequestServerException(String message,
                                  Request request)

### RequestServerException

    public RequestServerException(String message,
                                  Request request,
                                  Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com